Upstream information

CVE-2015-1419 at MITRE

Description

Unspecified vulnerability in vsftpd 3.0.2 and earlier allows remote attackers to bypass access restrictions via unknown vectors, related to deny_file parsing.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 5
Vector AV:N/AC:L/Au:N/C:N/I:P/A:N
Access Vector Network
Access Complexity Low
Authentication None
Confidentiality Impact None
Integrity Impact Partial
Availability Impact None
SUSE Bugzilla entries: 900326 [RESOLVED], 915522 [RESOLVED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Module for Server Applications 15
  • vsftpd >= 3.0.3-5.7
Patchnames:
SUSE Linux Enterprise Module for Server Applications 15 GA vsftpd
SUSE Linux Enterprise Server 11 SP3
  • vsftpd >= 2.0.7-4.29.1
Patchnames:
slessp3-vsftpd
SUSE Linux Enterprise Server 11 SP4
  • vsftpd >= 2.0.7-4.35.1
Patchnames:
SUSE Linux Enterprise Server 11 SP4 GA vsftpd
SUSE Linux Enterprise Server 11-SECURITY
  • vsftpd-openssl1 >= 2.0.7-4.43.1
Patchnames:
SUSE Linux Enterprise Server 11-SECURITY GA vsftpd-openssl1
SUSE Linux Enterprise Server 12
  • vsftpd >= 3.0.2-18.1
Patchnames:
SUSE-SLE-SERVER-12-2015-127
SUSE Linux Enterprise Server 12 SP1
  • vsftpd >= 3.0.2-24.1
Patchnames:
SUSE Linux Enterprise Server 12 SP1 GA vsftpd
SUSE Linux Enterprise Server 12 SP2
  • vsftpd >= 3.0.2-31.1
Patchnames:
SUSE Linux Enterprise Server 12 SP2 GA vsftpd
SUSE Linux Enterprise Server 12 SP3
  • vsftpd >= 3.0.2-39.1
Patchnames:
SUSE Linux Enterprise Server 12 SP3 GA vsftpd
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2
  • vsftpd >= 3.0.2-31.1
Patchnames:
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2 GA vsftpd
SUSE Linux Enterprise Server for SAP Applications 11 SP3
  • vsftpd >= 2.0.7-4.29.1
Patchnames:
slessp3-vsftpd
SUSE Linux Enterprise Server for SAP Applications 12
  • vsftpd >= 3.0.2-18.1
Patchnames:
SUSE-SLE-SERVER-12-2015-127
SUSE Linux Enterprise Server for VMWare 11 SP3
  • vsftpd >= 2.0.7-4.29.1
Patchnames:
slessp3-vsftpd
SUSE Linux Enterprise Server 11 SP3
SUSE Linux Enterprise Server 11 SP3 for VMware
  • vsftpd >= 2.0.7-4.29.1
Builds
SAT Patch Nr: 10372
openSUSE 13.1
  • vsftpd >= 3.0.2-10.12.1
  • vsftpd-debuginfo >= 3.0.2-10.12.1
  • vsftpd-debugsource >= 3.0.2-10.12.1
Patchnames:
openSUSE-2015-197
openSUSE Leap 15.0
  • vsftpd >= 3.0.3-lp150.4.1
Patchnames:
openSUSE Leap 15.0 GA vsftpd
openSUSE Leap 42.1
  • vsftpd >= 3.0.2-15.1
Patchnames:
openSUSE Leap 42.1 GA vsftpd
openSUSE Leap 42.2
  • vsftpd >= 3.0.2-17.2
Patchnames:
openSUSE Leap 42.2 GA vsftpd
openSUSE Leap 42.3
  • vsftpd >= 3.0.2-23.1
Patchnames:
openSUSE Leap 42.3 GA vsftpd
openSUSE Tumbleweed
  • vsftpd >= 3.0.3-7.1
Patchnames:
openSUSE Tumbleweed GA vsftpd


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SUSE Linux Enterprise Server 10 SP3 vsftpd Released
SUSE Linux Enterprise Server 10 SP4 vsftpd Released
SUSE Linux Enterprise Server 10 SP4 LTSS vsftpd Released
SUSE Linux Enterprise Server 11 SP1 vsftpd Released
SUSE Linux Enterprise Server 11 SP1 LTSS vsftpd Released
SUSE Linux Enterprise Server 11 SP3 vsftpd Released
SUSE Linux Enterprise Server 11 SP3 LTSS vsftpd Released
SUSE Linux Enterprise Server 11 SP4 vsftpd Released
SUSE Linux Enterprise Server 12 GA vsftpd Released
SUSE Linux Enterprise Server 12 SP1 vsftpd Released
SUSE Linux Enterprise Server for SAP AIO 11 SP1 vsftpd Released
SUSE Linux Enterprise Server for VMWare 11 SP3 vsftpd Released